| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
C_dict Class Reference

## Public Member Functions
| C_dict ()

## Detailed Description

Definition at line 12 of file Class_dict.cpp.

## Constructor & Destructor Documentation

C_dict::C_dict | ( |  | ) |

Definition at line 36 of file Class_dict.cpp.

37 {
38 MetaClass* meta1 = new MetaClass("Event", "Event header");
39 meta1->addField("event", "long", "Event Number", OffsetOf(Event,m_event));
40 meta1->addField("run", "long", "Run Number", OffsetOf(Event,m_run));
41 meta1->addField("time", "Time", "Event creation Time", OffsetOf(Event,m_time));
42 meta1->addMethod("getRun", "Get run number", "long", Event_run );
43 std::vector<std::string> argnames1;
44 argnames1.push_back("long");
45 meta1->addMethod("setRun", "Set run number", argnames1, Event_setRun );
46
47 MetaClass* meta2 = new MetaClass("Time", "Absolute time (64-bit) in ns");
48 meta2->addField("time", "longlong", "Time",OffsetOf(Gaudi::Time,m_time));
49
50 MetaClass* meta3 = new MetaClass("MyTrack", "Track test object");
51 meta3->addField("px", "float", "Momentum in x direction", OffsetOf(MyTrack,m_px));
52 meta3->addField("py", "float", "Momentum in y direction", OffsetOf(MyTrack,m_py));
53 meta3->addField("pz", "float", "Momentum in z direction", OffsetOf(MyTrack,m_pz));
54 meta3->addField("event", "SmartRef<Event>", "Link to event root",OffsetOf(MyTrack,m_event));
55 meta3->addField("decay", "SmartRef<MyVertex>", "Link to decay Vertex", OffsetOf(MyTrack,m_decay));
56 meta3->addMethod("getEvent", "Get Event pointer", "Event*", MyTrack_event );
57 std::vector<std::string> argnames3;
58 argnames3.push_back("Event*");
59 meta3->addMethod("setEvent", "Set Event", argnames3, MyTrack_setEvent );
60
61 MetaClass* meta4 = new MetaClass("MyVertex", "Vertex test object");
62 meta4->addField("x", "double", "Position in x", OffsetOf(MyVertex,m_x));
63 meta4->addField("y", "double", "Position in y", OffsetOf(MyVertex,m_y));
64 meta4->addField("z", "double", "Position in z", OffsetOf(MyVertex,m_z));
65 meta4->addField("mother", "SmartRef<MyTrack>", "Link to mother Track", OffsetOf(MyVertex,m_mother));
66 meta4->addField("daughters", "SmartRefVector<MyTrack>", "Link to daughter Tracks", OffsetOf(MyVertex,m_daughters));
67 }
Event
Essential information of the event used in examples It can be identified by "/Event".
Definition: Event.h:23
Event_run
void * Event_run(void *o)
Definition: Class_dict.cpp:16
std::vector::push_back
T push_back(T...args)
MyTrack
Definition: MyTrack.h:26
Gaudi::Time
Based on seal::Time.
Definition: Time.h:213
MyVertex
Simple class that represents a vertex for testing purposes.
Definition: MyVertex.h:23
std::vector< std::string >
MyTrack_event
void * MyTrack_event(void *o)
Definition: Class_dict.cpp:26
Event_setRun
void Event_setRun(void *o, std::vector< void * > argv)
Definition: Class_dict.cpp:21
MyTrack_setEvent
void MyTrack_setEvent(void *o, std::vector< void * > argv)
Definition: Class_dict.cpp:29

The documentation for this class was generated from the following file:

- GaudiPython/src/Test/Dictionary/Class_dict.cpp